--- title: "Get schema" slug: "analytics-cloudsearch-getschema" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getschema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get schema **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets schemas in a domain. You need to [Create Domain](/docs/en/analytics-cloudsearch-createdomain) first to perform this operation. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/schema ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ## Response | Field | Type | Description | Note | | --- | --- | --- | --- | | document | [Schema](/docs/en/common-apidatatype-csschema) | Search settings | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/car_dev/schema GET /CloudSearch/real/v1/domain/car_dev/schema HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` { "document": { "primarySectionName": "docid", "sections": [ { "docProperties": [ { "type": "string", "name": "dp_docid" } ], "name": "docid" }, { "docProperties": [ { "type": "string", "name": "dp_brand" } ], "name": "brand" }, { "docProperties": [ { "type": "string", "name": "dp_name" } ], "name": "name" }, { "docProperties": [ { "type": "string", "name": "dp_price" } ], "name": "price" }, { "docProperties": [ { "type": "float", "name": "dp_name2" } ], "name": "name2" } ], "indexes": [ { "documentTermWeight": "sum_wgt", "buildInfos": [ { "sections": [ "brand" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "name": "index_build_0" }, { "sections": [ "name" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "name": "index_build_1" } ], "name": "brand_name" }, { "documentTermWeight": "sum_wgt", "buildInfos": [ { "sections": [ "price" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "name": "index_build_0" } ], "name": "price" } ] } } ```